/**
 * @filename:SuperviseCertificateCodeMapper 2024-09-21
 * @project KJT v1.0.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.system.domain.SuperviseCertificateCode;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Description:小图监管证件码值数据访问层
 * @version: v1.0.0
 * @author: wanglang
 */
@Mapper
public interface SuperviseCertificateCodeMapper extends BaseMapper<SuperviseCertificateCode> {
}
