package com.trade.service.trade.salesorder.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.trade.salesorder.domain.SalesOrderLogistics;
import com.trade.service.trade.salesorder.vo.SalesOrderLogisticsDtlVO;
import com.trade.service.trade.salesorder.vo.SalesOrderLogisticsSearch;
import com.trade.service.trade.salesorder.vo.SalesOrderLogisticsVO;

import java.util.List;

/**
 * <p>
 * 销售订单-物流信息 Mapper 接口
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-06
 */
public interface SalesOrderLogisticsMapper extends BaseMapper<SalesOrderLogistics> {

    List<SalesOrderLogisticsVO> queryListBySearch(SalesOrderLogisticsSearch search);

    SalesOrderLogisticsDtlVO getDetailByOrderNo(String orderNo);
}
