package com.trade.service.trade.salesorder.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.trade.service.trade.salesorder.domain.SalesOrderContainer;
import com.trade.service.trade.salesorder.mapper.SalesOrderContainerMapper;
import com.trade.service.trade.salesorder.service.ISalesOrderContainerService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 销售订单-集装箱信息 服务实现类
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-06
 */
@Service
public class SalesOrderContainerServiceImpl extends ServiceImpl<SalesOrderContainerMapper, SalesOrderContainer> implements ISalesOrderContainerService {

    @Override
    public List<SalesOrderContainer> listByLogisticsId(Long id) {
        return this.baseMapper.selectList(new QueryWrapper<SalesOrderContainer>().eq("logistics_id", id));
    }
}
